apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2025-01-23T08:29:31.57795967Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2025-01-23T08:29:31Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 2
  labels:
    migration: ed255907-d371-48bf-98e4-5e4c4cd462ee
    plan: 0e4ead40-1268-4372-91ad-8e498a78560f
    vmID: vm-2270
  name: mtv-function-win2022
  namespace: openshift-mtv
  resourceVersion: "11220716"
  uid: aad305b8-7fba-4e32-8716-5ad9facbcbf4
spec:
  preference:
    kind: virtualmachineclusterpreference
    name: windows.2k22
    revisionName: mtv-function-win2022-windows.2k22-2c197b44-5279-4f1e-8d87-978ac9856be3-1
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: mtv-function-win2022
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 2
          sockets: 1
        devices:
          disks:
          - disk:
              bus: virtio
            name: vol-0
          inputs:
          - bus: virtio
            name: tablet
            type: tablet
          interfaces:
          - macAddress: 00:50:56:9c:f5:1f
            masquerade: {}
            model: virtio
            name: net-0
        firmware:
          bootloader:
            bios: {}
          serial: 421ca05f-996d-c188-64fa-547e8095b4a1
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 4Gi
        resources: {}
      networks:
      - name: net-0
        pod: {}
      volumes:
      - name: vol-0
        persistentVolumeClaim:
          claimName: mtv-win2022-ceph-rbd-vm-2270-bf2x8
status:
  conditions:
  - lastProbeTime: "2025-01-23T08:29:31Z"
    lastTransitionTime: "2025-01-23T08:29:31Z"
    message: virt-launcher pod has not yet been scheduled
    reason: PodNotExists
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-01-23T08:29:31Z"
    message: backend VM storage requires a backend storage class defined in the custom
      resource
    reason: FailedBackendStorageCreate
    status: "False"
    type: Synchronized
  created: true
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Starting
  runStrategy: Always
  volumeSnapshotStatuses:
  - enabled: true
    name: vol-0
